# Uses of Class
it.tdlight.jni.TdApi.BusinessRecipients

## Uses of TdApi.BusinessRecipients in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.BusinessRecipients
Modifier and Type
Field
Description
`TdApi.BusinessRecipients`
TdApi.BusinessAwayMessageSettings.`recipients`
Chosen recipients of the away messages.
`TdApi.BusinessRecipients`
TdApi.BusinessConnectedBot.`recipients`
Private chats that will be accessible to the bot.
`TdApi.BusinessRecipients`
TdApi.BusinessGreetingMessageSettings.`recipients`
Chosen recipients of the greeting messages.
Constructors in it.tdlight.jni with parameters of type TdApi.BusinessRecipients
Modifier
Constructor
Description
``
`BusinessAwayMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, TdApi.BusinessAwayMessageSchedule schedule, boolean offlineOnly)`
Describes settings for messages that are automatically sent by a Telegram Business account when it is away.
``
`BusinessConnectedBot(long botUserId, TdApi.BusinessRecipients recipients, boolean canReply)`
Describes a bot connected to a business account.
``
`BusinessGreetingMessageSettings(int shortcutId, TdApi.BusinessRecipients recipients, int inactivityDays)`
Describes settings for greeting messages that are automatically sent by a Telegram Business account as response to incoming messages in an inactive private chat.